<form [formGroup]="formulario" (ngSubmit)="onSubmit()" class="custom-form">
  <div class="mb-3">
    <label class="form-label">Presupuesto</label>
    <input type="text" class="form-control" formControlName="budget">
  </div>
  <div class="mb-3">
    <label class="form-label">Departamento Responsable</label>
    <input type="text" class="form-control" formControlName="unit">
  </div>
  <div class="mb-3">
    <label class="form-label">Descripción del Producto</label>
    <input type="text" class="form-control" formControlName="description">
  </div>
  <div class="mb-3">
    <label class="form-label">Número de Unidades</label>
    <input type="number" class="form-control" formControlName="quantity">
  </div>
  <div class="mb-3">
    <label class="form-label">Costo por Producto</label>
    <input type="text" class="form-control" formControlName="unitValue">
  </div>
  <div class="mb-3">
    <label class="form-label">Costo Total</label>
    <input type="text" class="form-control" formControlName="totalValue" [value]="(formulario.get('quantity')?.value ?? 0) * (formulario.get('unitValue')?.value ?? 0) | currency:'COP'">
  </div>
  <div class="mb-3">
    <label class="form-label">Fecha de Adquisición</label>
    <input type="date" class="form-control" formControlName="acquisitionDate">
  </div>
  <div class="mb-3">
    <label class="form-label">Entidad Proveedora</label>
    <input type="text" class="form-control" formControlName="supplier">
  </div>
  <input type="submit" value="Enviar" class="btn btn-info">
</form>
